Page MenuHomePhabricator

Flow board header wikitext created on officewiki during talk page migration is garbled
Closed, ResolvedPublic

Description

The maintenance script to convert talk pages to Flow takes the content of the page above the first section and adds it to the Flow board header. When we ran this on officewiki (the WMF internal wiki),

  • [[User:Tomasz Finc|Tomasz Finc]] became [/wiki/User:Tomasz_Finc Tomasz Finc]
  • Also, the template invocation {{Template:Wikitext_talk_page_converted_to_Flow}} was turned into garbled HTML`<div class="dablink">Previous discussion was archived at <nowiki>[[{{{archive}}}]]</nowiki> on 2014-12-03.</div>`

@EBernhardson thinks these result from "the round trip from php parser wikitext to Flow wikitext. If we are configured to use html storage we shouldn't fall back to the php parser when it breaks"

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : wmf/1.25wmf11Take wgCookiePrefix into account when faking cookies
mediawiki/extensions/Flow : wmf/1.25wmf11Only fallback to php parser if parsoid is unconfigured
mediawiki/extensions/Flow : masterOnly fallback to php parser if parsoid is unconfigured
mediawiki/extensions/Flow : masterTake wgCookiePrefix into account when faking cookies

Event Timeline

Spage created this task.Dec 4 2014, 2:03 AM
Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage changed Security from none to None.
Spage added subscribers: Aklapper, Spage.

also note that this one page is the only header that is actually garbled(currently) because i performed a null edit forcing the round trip from php parser html through parsoid to wikitext and then into parsoid html. Anyone attempting to edit the other couple headers we imported or any of the LQT imports will also result in the garbled wikitext. I'm not entirely sure how to fix the historical ones, or if we should care since its a tiny number that probably wont be edited.

Semi related, we should also merge https://gerrit.wikimedia.org/r/177858 which will prevent us from using the php parser when parsoid is configured, essentially fail early instead of doing the wrong thing.

Change 177858 had a related patch set uploaded (by EBernhardson):
Only fallback to php parser if parsoid is unconfigured

https://gerrit.wikimedia.org/r/177858

Patch-For-Review

Change 177423 had a related patch set uploaded (by EBernhardson):
Take wgCookiePrefix into account when faking cookies

https://gerrit.wikimedia.org/r/177423

Patch-For-Review

Change 177423 merged by jenkins-bot:
Take wgCookiePrefix into account when faking cookies

https://gerrit.wikimedia.org/r/177423

Spage triaged this task as Medium priority.Dec 8 2014, 6:27 PM

Patches should clean it up.

Change 177858 merged by jenkins-bot:
Only fallback to php parser if parsoid is unconfigured

https://gerrit.wikimedia.org/r/177858

Change 178652 had a related patch set uploaded (by EBernhardson):
Take wgCookiePrefix into account when faking cookies

https://gerrit.wikimedia.org/r/178652

Patch-For-Review

Change 178653 had a related patch set uploaded (by EBernhardson):
Only fallback to php parser if parsoid is unconfigured

https://gerrit.wikimedia.org/r/178653

Patch-For-Review

Change 178652 merged by jenkins-bot:
Take wgCookiePrefix into account when faking cookies

https://gerrit.wikimedia.org/r/178652

Change 178653 merged by jenkins-bot:
Only fallback to php parser if parsoid is unconfigured

https://gerrit.wikimedia.org/r/178653

EBernhardson closed this task as Resolved.Dec 10 2014, 12:35 AM